import * as React from 'react';
import { CheckboxChangeEvent } from '../../../lib/checkbox';
import { SelectionCheckboxAllProps, SelectionCheckboxAllState, SelectionItem } from './Table';
declare class SelectionCheckboxAll extends React.Component<SelectionCheckboxAllProps, SelectionCheckboxAllState> {
    defaultSelections: SelectionItem[];
    constructor(props: SelectionCheckboxAllProps);
    setCheckState(props: SelectionCheckboxAllProps): void;
    handleSelectAllChange: (e: CheckboxChangeEvent) => void;
    renderMenus(selections: SelectionItem[]): JSX.Element[];
    render(): JSX.Element;
}
export default SelectionCheckboxAll;
